JAXB v2.2.12-b141001.1542

## javax.xml.bind.annotation
Annotation Type XmlAccessorType

    @Inherited
    @Retention(value=RUNTIME)
    @Target(value={PACKAGE,TYPE})
    public @interface XmlAccessorType

Controls whether fields or Javabean properties are serialized by default.

Usage

`@XmlAccessorType` annotation can be used with the following program elements:

- package
- a top level class

See "Package Specification" in javax.xml.bind.package javadoc for additional common information.

This annotation provides control over the default serialization of properties and fields in a class.

The annotation `@XmlAccessorType` on a package applies to all classes in the package. The following inheritance semantics apply:

- If there is a `@XmlAccessorType` on a class, then it is used.
- Otherwise, if a `@XmlAccessorType` exists on one of its super classes, then it is inherited.
- Otherwise, the `@XmlAccessorType` on a package is inherited.

Defaulting Rules:

By default, if `@XmlAccessorType` on a package is absent, then the following package level annotation is assumed.

       @XmlAccessorType(XmlAccessType.PUBLIC_MEMBER)

By default, if `@XmlAccessorType` on a class is absent, and none of its super classes is annotated with `@XmlAccessorType`, then the following default on the class is assumed:

       @XmlAccessorType(XmlAccessType.PUBLIC_MEMBER)

This annotation can be used with the following annotations: `XmlType`, `XmlRootElement`, `XmlAccessorOrder`, `XmlSchema`, `XmlSchemaType`, `XmlSchemaTypes`, , `XmlJavaTypeAdapter`. It can also be used with the following annotations at the package level: `XmlJavaTypeAdapter`.

Since:
  1.6, JAXB 2.0
Author:
  Sekhar Vajjhala, Sun Microsystems, Inc.
See Also:
  `XmlAccessType`

Optional Element Summary
`XmlAccessType` `value` Specifies whether fields or properties are serialized.

### value

    public abstract XmlAccessType value

  Specifies whether fields or properties are serialized.

  See Also:
    `XmlAccessType`
  Default:
    javax.xml.bind.annotation.XmlAccessType.PUBLIC_MEMBER

JAXB v2.2.12-b141001.1542

Comments to: spec-comments@jsr222.java.net
More information at: http://jaxb.java.net

Copyright © 2004-2011 Oracle